/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCanvasPixelArray_H___INT_
#define __GdomCanvasPixelArray_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "CanvasPixelArray.h"
namespace WebCore {
    gpointer toGDOM(CanvasPixelArray* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMCanvasPixelArray : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CANVAS_PIXEL_ARRAY; }
    GDOMCanvasPixelArray(PassRefPtr<WebCore::CanvasPixelArray> impl);
    virtual ~GDOMCanvasPixelArray();
    WebCore::CanvasPixelArray* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::CanvasPixelArray> m_impl;
};
G_END_DECLS

#endif /* __GdomCanvasPixelArray_H___INT_*/
